CUDNN Frontend API 8.3.0

Public Member Functions | Private Attributes | List of all members
cudnn_frontend::EngineHeuristicsBuilder_v8 Class Reference

`#include <cudnn_frontend_Heuristics.h>`

Collaboration diagram for cudnn_frontend::EngineHeuristicsBuilder_v8:

## Public Member Functions
auto | setOperationGraph (OperationGraph_v8 &opGraph_) -> EngineHeuristicsBuilder_v8 &
| Set operationGraph for the engine (opGraph is not destroyed) More...
auto | setHeurMode (cudnnBackendHeurMode_t mode_) -> EngineHeuristicsBuilder_v8 &
| Set cudnnHandle for the operations. More...
EngineHeuristics_v8 && | build ()
| EngineHeuristicsBuilder_v8 ()=default
| ~EngineHeuristicsBuilder_v8 ()=default
| EngineHeuristicsBuilder_v8 (EngineHeuristicsBuilder_v8 &&)=delete
| EngineHeuristicsBuilder_v8 (EngineHeuristicsBuilder_v8 const &)=delete
EngineHeuristicsBuilder_v8 & | operator= (EngineHeuristicsBuilder_v8 const &)=delete

## Private Attributes
EngineHeuristics_v8 | m_heuristics

## Detailed Description

EngineHeuristicsBuilder_v8 Class Helper class used to build EngineHeuristics_v8 class

Definition at line 137 of file cudnn_frontend_Heuristics.h.

## Constructor & Destructor Documentation

## ◆ EngineHeuristicsBuilder_v8() [1/3]

cudnn_frontend::EngineHeuristicsBuilder_v8::EngineHeuristicsBuilder_v8 | ( |  | ) |
| explicitdefault

## ◆ ~EngineHeuristicsBuilder_v8()

cudnn_frontend::EngineHeuristicsBuilder_v8::~EngineHeuristicsBuilder_v8 | ( |  | ) |
| default

## ◆ EngineHeuristicsBuilder_v8() [2/3]

cudnn_frontend::EngineHeuristicsBuilder_v8::EngineHeuristicsBuilder_v8 | ( | EngineHeuristicsBuilder_v8 && |  | ) |
| delete

## ◆ EngineHeuristicsBuilder_v8() [3/3]

cudnn_frontend::EngineHeuristicsBuilder_v8::EngineHeuristicsBuilder_v8 | ( | EngineHeuristicsBuilder_v8 const & |  | ) |
| delete

## Member Function Documentation

## ◆ build()

EngineHeuristics_v8&& cudnn_frontend::EngineHeuristicsBuilder_v8::build | ( |  | ) |
| inline

constructs the EngineHeuristics_v8 by calling the cudnn API Throws the appropriate error message

Definition at line 161 of file cudnn_frontend_Heuristics.h.

References cudnn_frontend::EngineHeuristics_v8::EngineHeuristicsBuilder_v8, cudnn_frontend::getLogger(), cudnn_frontend::EngineHeuristics_v8::operator=(), cudnn_frontend::set_error_and_throw_exception(), and cudnn_frontend::BackendDescriptor::status.

## ◆ operator=()

EngineHeuristicsBuilder_v8& cudnn_frontend::EngineHeuristicsBuilder_v8::operator= | ( | EngineHeuristicsBuilder_v8 const & |  | ) |
| delete

## Member Data Documentation

## ◆ m_heuristics

EngineHeuristics_v8 cudnn_frontend::EngineHeuristicsBuilder_v8::m_heuristics
| private

Definition at line 223 of file cudnn_frontend_Heuristics.h.

The documentation for this class was generated from the following file:

- cudnn_frontend_Heuristics.h